// Script to save the incidents.csv file from the attached assets to a location where the server can read it
const fs = require('fs');
const path = require('path');

// Make sure directory exists
const targetDir = './data';
if (!fs.existsSync(targetDir)) {
  fs.mkdirSync(targetDir);
}

// Source file from attached assets
const sourceFile = path.join('./attached_assets/incidents.csv');
// Target file in data directory
const targetFile = path.join('./data/incidents.csv');

// Copy the file
fs.copyFileSync(sourceFile, targetFile);

console.log(`Copied incidents.csv from attached_assets to data directory`);